# WPCasa Real Estate #
[![License](https://img.shields.io/badge/license-GPL%202.0%2B-lightgrey.svg?style=flat-square)](https://github.com/wpsight/wpcasa/blob/master/wpcasa/LICENSE)

WPCasa is a flexible WordPress solution to create professional real estate websites and manage property listings with ease. Please find more information at [wpcasa.com](https://wpcasa.com).

## Description
WPCasa is a *FREE* WordPress plugin that fully integrates with the familiar and easy-to-use interface that WordPress is famous for. Adding property details, location information, image galleries and more is a breeze using the intuitive WPCasa listing editor. The powerful advanced property search ensures that potential clients find the listing they are looking for in no time.

## Demo
Please feel free to visit our [demo site](http://demo.wpcasa.com/) where you can test the features of our framework.

## Features
* **Intuitive Listing Editor**: Adding extensive property details, location information and image galleries has never been easier using our intuitive WPCasa listing editor.
* **Works Out of the Box**: Using the existing shortcodes or the powerful template system you can use WPCasa with any WordPress theme out there.
* **Advanced Property Search**: Potential clients will find what they are looking for. Using the advanced search they can filter your listings by keyword, taxonomies and of course property details.
* **Admin Property Management**: In the backend administrators can manage great numbers of listings using the well-organized property list with advanced filters and bulk actions.
* **Extend with Add-Ons**: Using our custom add-ons you can connect WPCasa to third party services, change or extend the functionality and customize things to your needs.
* **Style with Themes**: If you want to start with a turn-key real estate website with a first-class design, browse our collection of WordPress themes exclusively built for WPCasa.

## Themes
To hit the ground running have a look at our WordPress themes exclusively built for WPCasa to unfold the great potential of the framework.

[Browse themes now](https://wpcasa.com/downloads/category/themes/)

If you're a developer and would like to talk about creating themes for WPCasa, don't hesitate and [get in touch](https://wpcasa.com/contact).

## Add-Ons
Optionally use add-ons built for WPCasa to customize and/or extend the functionality of your real estate website to your special needs.

[Browse add-ons now](https://wpcasa.com/downloads/category/add-ons/)

More add-ons are currently in the making. If you are missing an add-on or are a developer and would like to talk about creating add-ons for WPCasa, don't hesitate and [get in touch](https://wpcasa.com/contact).

## Support

For help and documentation please feel free to visit our [support center](https://wpcasa.com/support) and our [knowledge base](http://docs.wpsight.com/).

## Translations

* German (de_DE): Simon Rimkus (WPSight)
* Spanish (es_ES): Simon Rimkus (WPSight)
* Portuguese (pt_BR): [Walter Barcelos](http://walterbarcelos.com)

POT file with text strings is included. If you would like to add a translation and see your name here, please [get in touch](https://wpcasa.com/contact/).

## Contribution

You are warmly welcome to contribute to WPCasa. No matter if you find a typo or a bug, if you want to suggest a cool new feature or if you want to help us to translate WPCasa... we would like to hear you. Here's how you could get started.

1. [Report](https://github.com/wpsight/wpcasa/issues) a minor issue or a major bug
2. [Provide feedback](https://github.com/wpsight/wpcasa/issues?direction=desc&labels=Enhancement&page=1&sort=created&state=open) on enhancements
3. [Submit](https://wpcasa.com/contact) a translation of your language
4. Send pull requests with fixes and improvments